// shoppingGuid/page/pages/userList/userList.js
const app = getApp()
const wxService = require('../../../../utils/wxService')

wxService.page({
  /**
   * 页面的初始数据
   */
  data: {
    list : [],
    pageSize: 10,
    pageNo: 1,
    totalPages: 0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    const {pageSize, pageNo,current} = this.data
    this.getTaskPage(pageSize, pageNo,current)
  },
  getTaskPage(pageSize, pageNo,current) { // 1 销售任务 2 招募任务
    wx.showLoading({
      title: '加载中'
    })
    const query = {
      // pageSize,
      // pageNo,
    }
    wxService.post(`/marketing/shoppingguide/tag/member?pageSize=${pageSize}&pageNo=${pageNo}`,query).then(res => {
      if (res) {
        const { result, data } = res.data
        if (result == 0) {
          wx.hideLoading()
          data.content.forEach(item=>{
            let curStart = new Date(item.task.startTime)
            let curEnd = new Date(item.task.endTime)
            item.task.startTime = `${curStart.getMonth()}月${curStart.getDay()}日`
            item.task.endTime = `${curEnd.getMonth()}月${curEnd.getDay()}日`
          })
          this.setData({
            list: pageNo == 1? [...data.content]: [...this.data.list,...data.content],
            totalPages: data.totalPages
          })
        }
      }
    })
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if(pageNo < totalPages) {
      this.setData({
        pageNo: this.data.pageNo + 1,
      },()=>{
        const {pageSize, pageNo,current} = this.data
        this.getTaskPage(pageSize, pageNo,current)
      })
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})